<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.crk.business.qcrk.mapper.FlBillRelationMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.unis.crk.business.qcrk.entity.FlBillRelation">
                    <id column="ID" property="id" />
                    <result column="FLOWID" property="flowid" />
                    <result column="CONNID" property="connid" />
                    <result column="TABLENAME" property="tablename" />
                    <result column="CODE" property="code" />
                    <result column="NAME" property="name" />
                    <result column="DATAID" property="dataid" />
                    <result column="FLOWSTATUS" property="flowstatus" />
                    <result column="ISACTIVE" property="isactive" />
                    <result column="UPDATE_TIME" property="updateTime" />
        </resultMap>

    <select id="selectMyMapsPage" resultType="java.util.Map">
        SELECT *   FROM  fl_bill_relation
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  ${ew.sqlSegment}
        </if>
    </select>
</mapper>